package com.srs.comprehensive.service;

import java.util.List;
import com.srs.comprehensive.domain.SrsDormitory;

/**
 * 宿舍信息Service接口
 * 
 * @author srs
 * @date 2023-06-27
 */
public interface ISrsDormitoryService 
{
    /**
     * 查询宿舍信息
     * 
     * @param id 宿舍信息主键
     * @return 宿舍信息
     */
    public SrsDormitory selectSrsDormitoryById(Long id);

    /**
     * 查询宿舍信息列表
     * 
     * @param srsDormitory 宿舍信息
     * @return 宿舍信息集合
     */
    public List<SrsDormitory> selectSrsDormitoryList(SrsDormitory srsDormitory);

    /**
     * 新增宿舍信息
     * 
     * @param srsDormitory 宿舍信息
     * @return 结果
     */
    public int insertSrsDormitory(SrsDormitory srsDormitory);

    /**
     * 修改宿舍信息
     * 
     * @param srsDormitory 宿舍信息
     * @return 结果
     */
    public int updateSrsDormitory(SrsDormitory srsDormitory);

    /**
     * 批量删除宿舍信息
     * 
     * @param ids 需要删除的宿舍信息主键集合
     * @return 结果
     */
    public int deleteSrsDormitoryByIds(Long[] ids);

    /**
     * 删除宿舍信息信息
     * 
     * @param id 宿舍信息主键
     * @return 结果
     */
    public int deleteSrsDormitoryById(Long id);

    /**
     * 导入宿舍信息
     * @param dormitoryList 宿舍信息列表
     * @param isUpdateSupport 是否更新
     * @param operName 操作人
     * @return
     */
    public String importDormitory(List<SrsDormitory> dormitoryList, Boolean isUpdateSupport, String operName);
}
